From 4f5abcb324b2f442599538e45faaadfbb5b1d3f4 Mon Sep 17 00:00:00 2001
From: SilvanScherrer <silvan.scherrer@aroa.ch>
Date: Fri, 12 Mar 2021 15:19:02 +0100
Subject: [PATCH 5/6] disable pipe usage

---
 src/tool_main.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/tool_main.c b/src/tool_main.c
index c3751e177..ae317c6d8 100644
--- a/src/tool_main.c
+++ b/src/tool_main.c
@@ -87,7 +87,7 @@ int _CRT_glob = 0;
  */
 static void main_checkfds(void)
 {
-#ifdef HAVE_PIPE
+#if defined(HAVE_PIPE) && !defined(__OS2__)
   int fd[2] = { STDIN_FILENO, STDIN_FILENO };
   while(fd[0] == STDIN_FILENO ||
         fd[0] == STDOUT_FILENO ||
-- 
2.30.2

